; -- OpenSecurity.iss --
; OpenSecurity setup file for use with
; Inno Setup Compiler (http://www.jrsoftware.org/isinfo.php) 

[Setup]
AppName=OpenSecurity
AppContact=AIT Austrian Institute of Technology
AppPublisher=AIT Austrian Institute of Technology
AppPublisherURL=http://www.ait.ac.at/
AppVersion=0.1
ArchitecturesInstallIn64BitMode=x64
DefaultDirName={pf}\OpenSecurity
OutputDir="."
OutputBaseFilename="OpenSecurity Setup V0.1"
OutputManifestFile=OpenSecurity-Setup-Manifest.txt
SetupIconFile=OpenSecurity\gfx\OpenSecurity.ico
SolidCompression=yes
UninstallDisplayIcon={app}\gfx\OpenSecurity.ico

[Files]
Source: "OpenSecurity\bin\*"; Excludes: "*.pyc"; DestDir: "{app}\bin"; Flags: recursesubdirs;
Source: "OpenSecurity\cygwin64\*"; DestDir: "{app}\cygwin64"; Flags: recursesubdirs;
Source: "OpenSecurity\gfx\*"; DestDir: "{app}\gfx"; Flags: recursesubdirs;
Source: "OpenSecurity\install\*"; DestDir: "{app}\install"; Flags: recursesubdirs;
Source: "OpenSecurity\python27\*"; DestDir: "{app}\python27"; Flags: recursesubdirs;

[Run]
Filename: "{app}\install\initial_vm.bat"; Description: "Loading initial VM"; WorkingDir: "{app}\install"; StatusMsg: "Setting up initial VM..."; Flags: runasoriginaluser
