@echo off

cd "%0%\.."
SET WGET=%0%\..\..\cygwin64\bin\wget.exe
SET OS_ADMIN_PORT=8080

rem ------------------------------------------------------------
rem install initial OpenSecuity VM image
rem ------------------------------------------------------------

SET OVA_TEMPLATE_URL="http://service.x-net.at/opensecurity/OsecVM_latest.ova"


:ENSURE_VBOX_READY
rem ensure environment is ready
rem This gets up VirtualBox VBoxSVC.exe COM Server right
rem and thus helps us not to run in any timing problems
rem due to a lazy VBox COM Server ... o.O
rem
rem 1. locate the VBoxManage.exe
rem 2. check version (ability to call)
rem 3. enumerate vms (ensure VBoxSVC.exe feels good)

CSCRIPT //NoLogo vbox_lookup.vbs >%TEMP%\vbox_lookup
SET /P VBM_DIR=<%TEMP%\vbox_lookup
SET VBM="%VBM_DIR%VBoxManage.exe"
IF NOT EXIST %VBM% GOTO VBM_MISSING
%VBM% -version >%TEMP%\vbox_version
IF NOT ERRORLEVEL 0 GOTO VBM_ERROR
%VBM% list vms > %TEMP%\VMS.txt
del %TEMP%\VMS.txt


:PREPARE_VBOX_FOLDER
rem Now, VBox should feel good within the Windows OS space
rem switch into the User's VBox setup folders 
rem
rem 1. create Virtual box folder (if not already existing)
rem 2. download OVA template
rem 3. import OVS template in VBox

SET VBP=%HOMEDRIVE%%HOMEPATH%\VirtualBox VMs
IF NOT EXIST "%VBP%" MKDIR "%VBP%"

:DOWNLOAD_TEMPLATE_VM
rem Download the OSec.ova template from the X-Net servers

IF EXIST OsecVM.ova GOTO COPY_TEMPLATE_VM
echo download initial OpenSecurity VM
"%WGET%" %OVA_TEMPLATE_URL%
IF NOT ERRORLEVEL 0 GOTO OVA_DOWNLOAD_ERROR
RENAME OsecVM_latest.ova OsecVM.ova
echo.
echo.

:COPY_TEMPLATE_VM
echo copying template VM into Virtual Box's realm (this may take a while ... relax ...)
%HOMEDRIVE%
cd "%VBP%"
COPY %0%\..\OSecVM.ova .
echo.
echo.


:IMPORT_TEMPLATE_VM
echo importing OpenSecurity VM image ...
%VBM% import OsecVM.ova --vsys 0 --vmname SecurityDVM --unit 12 --disk SecurityDVM\SecurityDVM.vmdk
IF NOT ERRORLEVEL 0 GOTO VBM_IMPORT_ERROR
echo.
echo.
echo turning template image immutable
%VBM% storageattach SecurityDVM --storagectl SATA --port 0 --medium none
%VBM% storageattach SecurityDVM --storagectl SATA --port 0 --device 0 --type hdd --mtype writethrough --medium SecurityDVM\SecurityDVM.vmdk
%VBM% storageattach SecurityDVM --storagectl SATA --port 0 --medium none
%VBM% storageattach SecurityDVM --storagectl SATA --port 0 --device 0 --type hdd --mtype immutable --medium SecurityDVM\SecurityDVM.vmdk
echo OpenSecurity VM Image ready.
echo.
echo.

:UPDATE_TEMPLATE
rem we have imported the Template
rem now, we need to update the template before first use

cd %0%\..\..
SET PATH=%CD%\python27;%PATH%
START /I python27\python bin\opensecurityd.pyw
echo Waiting for OpenSecurity Admin Daemon to start
PAUSE
rem trigger update
echo %WGET% http://localhost:%OS_ADMIN_PORT%/update_template
%WGET% http://localhost:%OS_ADMIN_PORT%/update_template
GOTO END


:OVA_DOWNLOAD_ERROR
echo "Failed to download OVA initial image."
GOTO END


:VBM_ERROR
echo "Error calling VBoxManage.exe"
GOTO END


:VBM_MISSING
echo "Could not locate VBoxManage.exe --> Is VirtualBox installed?"
GOTO END


:VBM_IMPORT_ERROR
echo "Failed to import OVA template into VBox."
GOTO END


:END
