#!/bin/env python
# -*- coding: utf-8 -*-

# ------------------------------------------------------------
# new_firefox_profile_id
# 
# pick the next firefox profile id
#
# Autor: Oliver Maurhart, <oliver.maurhart@ait.ac.at>
#
# Copyright (C) 2013 AIT Austrian Institute of Technology
# AIT Austrian Institute of Technology GmbH
# Donau-City-Strasse 1 | 1220 Vienna | Austria
# http://www.ait.ac.at
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation version 2.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, 
# Boston, MA  02110-1301, USA.
# ------------------------------------------------------------


# ------------------------------------------------------------
# imports

import os
import os.path
import ConfigParser     # in pythjon 3 this is lowercase


# ------------------------------------------------------------
# code


def main():

    # grab the firefox profile ini (path may differ ...)
    profiles_path = os.path.join(os.path.expanduser('~'), '.mozilla', 'firefox', 'profiles.ini')
    cfg = ConfigParser.ConfigParser()
    cfg.read(profiles_path)
    profiles = [p for p in cfg.sections() if p.startswith('Profile')]
    i = 0
    for p in profiles:
        p_number = p[len('Profile'):]
        try:
            i = max(int(p_number), i)
        except:
            pass
    print i + 1


if __name__ == '__main__':
    main()


